| Flutter Linux Embedder |

Public Attributes | List of all members
FlTextInputPluginPrivate Struct Reference

## Public Attributes
GObject | parent_instance
FlMethodChannel * | channel
int64_t | client_id
gchar * | input_action
FlTextInputType | input_type
gboolean | enable_delta_model
GtkIMContext * | im_context
FlTextInputViewDelegate * | view_delegate
flutter::TextInputModel * | text_model
double | editabletext_transform [4][4]
GdkRectangle | composing_rect

## Detailed Description

Definition at line 62 of file fl_text_input_plugin.cc.

## Member Data Documentation

## ◆ channel

FlMethodChannel* FlTextInputPluginPrivate::channel

Definition at line 65 of file fl_text_input_plugin.cc.

## ◆ client_id

int64_t FlTextInputPluginPrivate::client_id

Definition at line 68 of file fl_text_input_plugin.cc.

## ◆ composing_rect

GdkRectangle FlTextInputPluginPrivate::composing_rect

Definition at line 97 of file fl_text_input_plugin.cc.

## ◆ editabletext_transform

double FlTextInputPluginPrivate::editabletext_transform[4][4]

Definition at line 91 of file fl_text_input_plugin.cc.

## ◆ enable_delta_model

gboolean FlTextInputPluginPrivate::enable_delta_model

Definition at line 80 of file fl_text_input_plugin.cc.

## ◆ im_context

GtkIMContext* FlTextInputPluginPrivate::im_context

Definition at line 83 of file fl_text_input_plugin.cc.

## ◆ input_action

gchar* FlTextInputPluginPrivate::input_action

Definition at line 71 of file fl_text_input_plugin.cc.

## ◆ input_type

FlTextInputType FlTextInputPluginPrivate::input_type

Definition at line 74 of file fl_text_input_plugin.cc.

## ◆ parent_instance

GObject FlTextInputPluginPrivate::parent_instance

Definition at line 63 of file fl_text_input_plugin.cc.

## ◆ text_model

flutter::TextInputModel* FlTextInputPluginPrivate::text_model

Definition at line 87 of file fl_text_input_plugin.cc.

## ◆ view_delegate

FlTextInputViewDelegate* FlTextInputPluginPrivate::view_delegate

Definition at line 85 of file fl_text_input_plugin.cc.

The documentation for this struct was generated from the following file:

- shell/platform/linux/fl_text_input_plugin.cc